# xcfg | simple xorg configuration tool 
`xcfg` is a simple tool that lets you install desktop environments,
and window managers and adds required configuration to your `~/.xinitrc`
file.

### Installation
To compile `xcfg` and to use it, you will need the following:
- gcc 
- make
- ncurses
- gettext  
- doas (or sudo)

After installing these dependencies, **download the latest 
release for a stable build**. Clone the repository only for development.

After downloading the source code, you can compile `xcfg` using the 
`make` tool:
```
make
```
After compiling it, you can install the binary and the locales:
```
make install
```

### Usage
Make sure you have access to the doas or the sudo command, then just execute
`xcfg`.
