#include <stdio.h>
#include <stdarg.h>
#include "log.h"

void info(const char* msg, ...){
  va_list args;
  va_start(args, msg);

  printf(LOG_BOLD LOG_BLUE">>> "LOG_RESET LOG_BOLD);
  vprintf(msg, args);
  printf(LOG_RESET"\n");

  va_end(args);
}

void error(const char* msg, ...){
  va_list args;
  va_start(args, msg);

  printf(LOG_BOLD LOG_RED">>> "LOG_RESET LOG_BOLD);
  vprintf(msg, args);
  printf(LOG_RESET"\n");

  va_end(args);
}

void success(const char* msg, ...){
  va_list args;
  va_start(args, msg);

  printf(LOG_BOLD LOG_GREEN">>> "LOG_RESET LOG_BOLD);
  vprintf(msg, args);
  printf(LOG_RESET"\n");

  va_end(args);
}
